/IMAGE/seedream-5-5
画像
ByteDance

Seedream 5.5 API

Image generation and editing at 1K, 1.5K or 2K, with transparent PNG backgrounds and up to 10 references.

  • テキストから画像
  • 画像編集

開始価格

$0.028

生成あたり

7パラメータ・5料金オプション

Seedream 5.5 API の料金

オプション生成あたりの価格
1K$0.028
reference_image$0.011
reference_image_2K$0.02
1.5K$0.028
2K$0.05

クイックスタート

完全なAPIリファレンス →
1curl -X POST https://api.api-stock.com/api/v1/generation/create \
2 -H "Authorization: Bearer $API_STOCK_KEY" \
3 -H "Content-Type: application/json" \
4 -d '{
5 "model": "seedream-5-5",
6 "input": {
7 "prompt": "夕暮れ時の都市を映した映画のワンシーン",
8 "size": "1:1",
9 "resolution": "1K",
10 "background": "auto",
11 "outputFormat": "png",
12 "promptOptimizeMode": "standard"
13 }
14 }'

パラメータ

名前型必須デフォルト説明
promptstringはい—Text description for image generation or editing
urlsstring[]いいえ—Up to 10 public HTTP(S) image URLs or lowercase base64 data:image URIs. JPEG, PNG, WebP, BMP, TIFF, GIF, HEIC and HEIF; each at most 30 MiB and 36 million pixels. Every reference is billed, including the first.
sizestringいいえ1:1Aspect ratio or auto (model chooses the ratio), with resolution defaulting to 1K. Also accepts 1K / 1.5K / 2K or WIDTHxHEIGHT without resolution. Exact dimensions require 921600–4624220 pixels and ratio 1/16–16. Omission defaults to 1:1 at 1K.いずれか: 1:1, 4:3, 3:4, 16:9, 9:16, 3:2, 2:3, 21:9, 2:1, 1:2, auto
resolutionstringいいえ1KResolution for aspect-ratio or auto size (default 1K). Omit for tier or exact-pixel size.いずれか: 1K, 1.5K, 2K
backgroundstringいいえautoBackground mode. Transparent output requires PNG.いずれか: auto, transparent, opaque
outputFormatstringいいえpngOutput format; JPEG cannot be combined with transparent backgroundいずれか: jpeg, png
promptOptimizeModestringいいえstandardOnly standard is supported. Optimization remains enabled when omitted.いずれか: standard

よくある質問

Seedream 5.5 の料金はいくらですか?

Seedream 5.5はAPI Stock API経由で$0.028 生成あたりから利用できます。料金は1つの前払い残高から利用した分だけ支払う従量制で、サブスクリプションはありません。最終的な価格は、解像度や長さなどのパラメータに応じて変わります。

Seedream 5.5 の API キーはどうやって取得しますか?

API Stock に登録し、利用可能な支払い方法で残高をチャージして、ダッシュボードで API キーを作成するだけです。数分で完了し、契約は不要です。同じキーでカタログのすべてのモデルを利用できるため、Seedream 5.5 専用のキーを取得する必要はありません。

Seedream 5.5 APIはどのように呼び出せますか?

https://api.api-stock.com/api/v1/generation/create に、APIキーとモデルID「seedream-5-5」を指定してPOSTリクエストを送信します。リクエストの結果として、ポーリングするタスクIDが返されるか、結果の準備ができた時点でWebhookコールバックが送信されます。上記のクイックスタートにすぐ実行できる例があります。

Seedream 5.5はどのような入力パラメータを受け付けますか?

Seedream 5.5は7個の入力パラメータ(必須フィールドpromptを含む)を受け付けます。種類、デフォルト値、指定可能な値は上記のパラメータ表に記載されています。

Seedream 5.5のリクエストに失敗するとどうなりますか?

API Stockは予備のプロバイダーでリクエストを自動的に再試行します。すべてのプロバイダーで失敗した場合、料金は残高に返金されます。

Seedream 5.5は他のモデルと同じAPIキーで利用できますか?

はい。API Stockのすべてのモデル(動画、画像、音楽、チャット)は1つのAPIキーと1つの前払い残高を共有しているため、新しい認証情報なしでSeedream 5.5に切り替えられます。